Groovy Documentation

## org.codehaus.groovy.tools.shell
[Groovy] Class ParseCode

    java.lang.Object
      org.codehaus.groovy.tools.shell.ParseCode

    final class ParseCode

Container for the parse code.

Property Summary
`static ParseCode` | `COMPLETE`
`static ParseCode` | `ERROR`
`static ParseCode` | `INCOMPLETE`
`int` | `code`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### COMPLETE

    static final ParseCode COMPLETE

### ERROR

    static final ParseCode ERROR

### INCOMPLETE

    static final ParseCode INCOMPLETE

### code

    final int code

Method Detail

### toString

    java.lang.String toString()

Groovy Documentation